%define oname 		Terminal
%define version 	0.2.5.4
%define beta 		beta2
%define release 	0.beta2.2
%define iconname 	%{oname}.png

Summary:		X Terminal Emulator
Name:			terminal
Version:		%{version}
Release:		%mkrel %{release}
License:		GPL
URL:			http://www.os-cillation.com/
Source:			%{oname}-%{version}%{beta}.tar.bz2 
Patch:                	Terminal-0.2.0-Makefile.ins-Help.patch.bz2
Group:			Terminals
BuildRoot:		%{_tmppath}/%{name}-buildrrot
Requires:		vte >= 0.11.0 exo
BuildRequires:		vte-devel >= 0.11.0
BuildRequires:		perl-XML-Parser
BuildRequires:          exo-devel
BuildRequires:		ImageMagick

%description
Advanced lightweight Terminal Emulator for the X windowing system.

%prep
%setup -q -n %{oname}-%{version}%{beta}
%patch -p1 

%build
%configure2_5x --enable-nls
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}} 
install -m 644 icons/48x48/stock_terminal-general.png %{buildroot}%{_liconsdir}/%{iconname}
convert icons/48x48/stock_terminal-general.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname}
convert icons/48x48/stock_terminal-general.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname} 

cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}):\
	command="%{_bindir}/%{name} --disable-server" \
	icon="%{iconname}" \
	title="Terminal" \
	longtitle="X Terminal Emulator" \
	needs="x11" \
	section="System/Terminals" \
        xdg="true"
EOF

desktop-file-install --vendor="" \
--add-category="GTK" \
--add-category="X-MandrivaLinux-TerminalEmulator" \
--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{oname}

%post
%update_menus
%update_icon_cache hicolor
 
%postun
%clean_menus  
%clean_icon_cache hicolor

%clean
rm -rf $RPM_BUILD_ROOT

%files  -n %{name} -f %{oname}.lang
%defattr(-,root,root)
%doc README ChangeLog NEWS INSTALL COPYING AUTHORS HACKING THANKS
%{_bindir}/*
%{_datadir}/%{oname}/*
%{_datadir}/applications/*
%{_datadir}/doc/%{oname}/*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/icons/hicolor/16x16/stock/navigation/*.png
%{_datadir}/icons/hicolor/24x24/stock/navigation/*.png
%{_datadir}/icons/hicolor/48x48/stock/navigation/*.png
%{_datadir}/pixmaps/* 
%{_mandir}/man1/*.1*
%_menudir/*
%_iconsdir/%iconname
%_liconsdir/%iconname
%_miconsdir/%iconname

%changelog
* Tue Aug 01 2006 Charles A Edwards <eslrahc@mandriva.org> 0.2.5.4-0.beta2.2mdv2007.0
- rebuild for latest dbus
- use icon_cache marco

* Mon Jul 10 2006 Charles A Edwards <eslrahc@mandriva.org> 0.2.5.4-0.beta2.1mdv2007.0
- 0.2.5.4beta2

* Fri Jun 23 2006 Charles A Edwards <eslrahc@mandriva.org> 0.2.5.1-0.beta1.2mdv2007.0
- rebuild for libvte9
- BR & R
- drop Source1
- Xdg

* Tue Apr 25 2006 Jerome Soyer <saispo@mandriva.org> 0.2.5.1-0.beta1.1mdk

- Sat Apr 22 2006 trem <trem@mandriva.org> 0.2.5.1-0.beta1.1mdk
- 0.2.5.1beta1

* Fri Jan 27 2006 Frederic Crozat <fcrozat@mandriva.com> 0.2.4-4mdk
- Rebuild with latest dbus

* Mon Oct 31 2005 Eskild Hustvedt <eskild@mandriva.org> 0.2.4-3mdk
- Rebuild for new dbus

* Mon Aug 01 2005 Marcel Pol <mpol@mandriva.org> 0.2.4-2mdk
- buildrequires perl-XML-Parser, ImageMagick

* Tue May 24 2005 Marcel Pol <mpol@mandriva.org> 0.2.4-1mdk
- 0.2.4
- %%mkrel

* Thu Mar 17 2005 Charles A Edwards <eslrahc@mandrake.org> 0.2.4-0.pre1.1mdk
- 0.2.4pre1

* Sun Jan 09 2005 Charles A Edwards <eslrahc@mandrake.org> 0.2.2-1mdk
- 0.2.2

* Sat Dec 04 2004 Charles A Edwards <eslrahc@mandrake.org> 0.2.0-1mdk
- rebuild to use db4.3
